#include <bits/stdc++.h>
using namespace std;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    int n, i, j;
    cin >> n;
    char niz[n];
    for(i = 0; i < n; i++){
        cin >> niz[i];
    }
    bool isti = false, zamenjeni = false;
    for(i = 0; i < n - 1; i++){
        for(j = i + 1; j < n; j++){
            if(niz[j] > niz[i]){
                char temp = niz[j];
                niz[j] = niz[i];
                niz[i] = temp;
                zamenjeni = true;
                break;
            }
            else if(!isti && niz[j] == niz[i]){
                isti = true;
            }
        }
    }
    if(!zamenjeni && !isti){
        char temp = niz[n - 1];
        niz[n - 1] = niz[n - 2];
        niz[n - 2] = temp;
    }
    for(i = 0; i < n; i++){
        cout << niz[i] << " ";
    }
    return 0;
}